Remove external card
curl --request DELETE \
--url https://api.natural.com/external-cards/{externalCardId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/external-cards/{externalCardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/external-cards/{externalCardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/external-cards/{externalCardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/external-cards/{externalCardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.natural.com/external-cards/{externalCardId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/external-cards/{externalCardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "externalCard",
"id": "eac_01a0e642ed4873d685273ce0e7d1ccab",
"attributes": {
"brand": "visa",
"lastFour": "4242",
"expiryMonth": 8,
"expiryYear": 2028,
"nickname": "Work Visa",
"billingAddress": {
"line1": "123 Market St",
"line2": null,
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"status": "disabled",
"createdAt": "2026-09-26T20:10:08.000Z"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
}
}
},
"meta": {
"deleted": true
}
}External cards
Remove external card
Remove a card saved to your party. Pass a card ID; a bank account ID returns 403 with code externalAccount.notCard. Returns the External Card object.
DELETE
/
external-cards
/
{externalCardId}
Remove external card
curl --request DELETE \
--url https://api.natural.com/external-cards/{externalCardId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/external-cards/{externalCardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/external-cards/{externalCardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/external-cards/{externalCardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/external-cards/{externalCardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.natural.com/external-cards/{externalCardId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/external-cards/{externalCardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "externalCard",
"id": "eac_01a0e642ed4873d685273ce0e7d1ccab",
"attributes": {
"brand": "visa",
"lastFour": "4242",
"expiryMonth": 8,
"expiryYear": 2028,
"nickname": "Work Visa",
"billingAddress": {
"line1": "123 Market St",
"line2": null,
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"status": "disabled",
"createdAt": "2026-09-26T20:10:08.000Z"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
}
}
},
"meta": {
"deleted": true
}
}Authorizations
Headers
Query Parameters
Was this page helpful?